GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/filesystem.h File Reference

Go to the source code of this file.

## Macros
#define | IS_TARGET_DIR_SEPARATOR(kind, c)
#define | IS_TARGET_ABSOLUTE_PATH(kind, p)
#define | HAS_TARGET_DRIVE_SPEC(kind, p)

## Functions
const char * | target_lbasename (const char *kind, const char *name)
const char * | effective_target_file_system_kind (void)

## Variables
const char | file_system_kind_auto []
const char | file_system_kind_unix []
const char | file_system_kind_dos_based []
const char * | target_file_system_kind

## Macro Definition Documentation

## ◆ HAS_TARGET_DRIVE_SPEC

#define HAS_TARGET_DRIVE_SPEC | ( |  | kind,
|  |  | p
| ) |  |

Value:
(((kind) == file_system_kind_dos_based) ? HAS_DOS_DRIVE_SPEC (p) \
: 0)
file_system_kind_dos_based
const char file_system_kind_dos_based[]
Definition: filesystem.c:27

Definition at line 45 of file filesystem.h.

Referenced by solib_find_1().

## ◆ IS_TARGET_ABSOLUTE_PATH

#define IS_TARGET_ABSOLUTE_PATH | ( |  | kind,
|  |  | p
| ) |  |

Value:
(((kind) == file_system_kind_dos_based) ? IS_DOS_ABSOLUTE_PATH (p) \
: IS_UNIX_ABSOLUTE_PATH (p))
file_system_kind_dos_based
const char file_system_kind_dos_based[]
Definition: filesystem.c:27

Definition at line 38 of file filesystem.h.

Referenced by exec_file_find(), and solib_find_1().

## ◆ IS_TARGET_DIR_SEPARATOR

#define IS_TARGET_DIR_SEPARATOR | ( |  | kind,
|  |  | c
| ) |  |

Value:
(((kind) == file_system_kind_dos_based) ? IS_DOS_DIR_SEPARATOR (c) \
: IS_UNIX_DIR_SEPARATOR (c))
file_system_kind_dos_based
const char file_system_kind_dos_based[]
Definition: filesystem.c:27

Definition at line 31 of file filesystem.h.

Referenced by solib_find_1().

## Function Documentation

## ◆ effective_target_file_system_kind()

const char* effective_target_file_system_kind | ( | void |  | ) |

Definition at line 38 of file filesystem.c.

References file_system_kind_auto, file_system_kind_dos_based, file_system_kind_unix, gdbarch_has_dos_based_file_system(), target_file_system_kind, and target_gdbarch().

Referenced by exec_file_find(), show_target_file_system_kind_command(), and solib_find_1().

## ◆ target_lbasename()

const char* target_lbasename | ( | const char * | kind,
|  | const char * | name
| ) |  |

Definition at line 52 of file filesystem.c.

References file_system_kind_dos_based, and name.

Referenced by solib_find_1().

## Variable Documentation

## ◆ file_system_kind_auto

const char file_system_kind_auto[]

Definition at line 25 of file filesystem.c.

Referenced by effective_target_file_system_kind(), and show_target_file_system_kind_command().

## ◆ file_system_kind_dos_based

const char file_system_kind_dos_based[]

Definition at line 27 of file filesystem.c.

Referenced by effective_target_file_system_kind(), exec_file_find(), solib_find_1(), and target_lbasename().

## ◆ file_system_kind_unix

const char file_system_kind_unix[]

Definition at line 26 of file filesystem.c.

Referenced by effective_target_file_system_kind().

## ◆ target_file_system_kind

const char* target_file_system_kind

Definition at line 35 of file filesystem.c.

Referenced by _initialize_filesystem(), effective_target_file_system_kind(), and show_target_file_system_kind_command().